import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:flutter_test/flutter_test.dart';

import '../utils.dart';

final intProvider = StateProvider<int>((_) => 13); // <1>

void main() {
  test('doit écouter un état', () {
    const defaultValue = -1;

    // given:
    final container = createContainer();

    var intValue = defaultValue; // <2>
    container.listen<int>(intProvider, (_, next) => intValue = next);

    // expect:
    expect(intValue, equals(defaultValue)); // <3>

    // when:
    container.read(intProvider.notifier).state = 42; // <4>

    // then:
    expect(intValue, equals(42)); // <5>
  });
}
